Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.peerreview.infostore
Class PeerInfoRecord.EvidenceRecordImpl

    java.lang.Object
      org.mpisws.p2p.transport.peerreview.infostore.PeerInfoRecord.EvidenceRecordImpl

All Implemented Interfaces:
  EvidenceRecord<Handle,Identifier>

Enclosing class:
  PeerInfoRecord<Handle,Identifier>

    public class PeerInfoRecord.EvidenceRecordImpl

extends java.lang.Object
implements EvidenceRecord<Handle,Identifier>

Field Summary
`Identifier` | `originator`
`long` | `timestamp`

Constructor Summary
`PeerInfoRecord.EvidenceRecordImpl(Identifier originator, long timestamp)`
`PeerInfoRecord.EvidenceRecordImpl(Identifier originator, long timestamp, boolean isProof, Handle interestedParty)`

Method Summary
`Handle` | `getInterestedParty()`
`Identifier` | `getOriginator()`
`long` | `getTimeStamp()`
`boolean` | `hasResponse()`
`boolean` | `isProof()`
`void` | `setHasResponse()`
`void` | `setInterestedParty(Handle interestedParty)`
`void` | `setIsProof(boolean isProof)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### originator

    public Identifier originator

### timestamp

    public long timestamp

Constructor Detail

### PeerInfoRecord.EvidenceRecordImpl

    public PeerInfoRecord.EvidenceRecordImpl(Identifier originator,
                                             long timestamp)

### PeerInfoRecord.EvidenceRecordImpl

    public PeerInfoRecord.EvidenceRecordImpl(Identifier originator,
                                             long timestamp,
                                             boolean isProof,
                                             Handle interestedParty)

Method Detail

### hasResponse

    public boolean hasResponse()

  Specified by:
    `hasResponse` in interface `EvidenceRecord<Handle,Identifier>`

### setIsProof

    public void setIsProof(boolean isProof)

  Specified by:
    `setIsProof` in interface `EvidenceRecord<Handle,Identifier>`

### setInterestedParty

    public void setInterestedParty(Handle interestedParty)

  Specified by:
    `setInterestedParty` in interface `EvidenceRecord<Handle,Identifier>`

### setHasResponse

    public void setHasResponse()

  Specified by:
    `setHasResponse` in interface `EvidenceRecord<Handle,Identifier>`

### isProof

    public boolean isProof()

  Specified by:
    `isProof` in interface `EvidenceRecord<Handle,Identifier>`

### getTimeStamp

    public long getTimeStamp()

  Specified by:
    `getTimeStamp` in interface `EvidenceRecord<Handle,Identifier>`

### getOriginator

    public Identifier getOriginator()

  Specified by:
    `getOriginator` in interface `EvidenceRecord<Handle,Identifier>`

### getInterestedParty

    public Handle getInterestedParty()

  Specified by:
    `getInterestedParty` in interface `EvidenceRecord<Handle,Identifier>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.